Page MenuHomePhabricator

When a client submits an overlong "sourcePath", truncate it and continue
ClosedPublic

Authored by epriestley on Aug 22 2019, 2:16 AM.
Tags
None
Referenced Files
F10882961: D20727.diff
Fri, Jul 1, 2:30 AM
Unknown Object (File)
Thu, Jun 16, 12:02 AM
Unknown Object (File)
Thu, Jun 9, 7:15 PM
Unknown Object (File)
Tue, Jun 7, 9:22 PM
Unknown Object (File)
May 30 2022, 2:15 PM
Unknown Object (File)
May 27 2022, 4:13 AM
Subscribers
None

Details

Summary

Ref T13385. Currently, if you run arc diff in a CWD with more than 255 characters, the workflow fatals against the length of the sourcePath database column.

In the long term, removing this property is likely desirable.

For now, truncate long values and continue. This only meaningfully impacts relatively obscure interactive SVN workflows negatively, and even there, "some arc commands are glitchy in very long working directories in SVN" is still better than "arc diff fatals".

Test Plan
  • Modified arc to submit very long source paths.
  • Ran arc diff.
    • Before: Fatal when inserting >255 characters into sourcePath.
    • After: Path truncated at 255 bytes.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Aug 22 2019, 2:28 AM
This revision was automatically updated to reflect the committed changes.